module Admin::AdBannerHelper
  def preview_block_ad_images_helper(ad_banner)  
         printable_ad_images = []
         ad_banner.ad_images.each do |ad_image|
           if ad_image.display?
             ad_image.weight.times do
               printable_ad_images << ad_image
            end
           end
          end
          
      printable_ad_images.shuffle!
 end
    def sub_manager?(ad_banner)
      ad_banner.authed_users(:edit).include?(current_user)
    end

    def show_ad_banner_permission_link(ad_banner)
      type = 'edit'
      oa = ad_banner.get_object_auth_by_title(type)
    if oa.nil?
      ad_banner.object_auths.new(title: type ).save
      oa = ad_banner.get_object_auth_by_title(type)
    end
#    link_to t('announcement.bulletin.cate_auth'), edit_admin_object_auth_path(oa)
     link_to t('admin.ad.cate_auth'),admin_object_auth_ob_auth_path(oa),:class => "btn btn-warning"
  end



end